﻿<?xml version="1.0" encoding="utf-8" ?>
<configuration>
	<configSections>
		<section name="lightSpeedContexts" type="Mindscape.LightSpeed.Configuration.LightSpeedConfigurationSection, Mindscape.LightSpeed" />
	</configSections>

	<lightSpeedContexts default="DataCore">
		<add name="Configuration" connectionStringName="SQLServerConfiguration" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="DataCore" connectionStringName="SQLServerDataCore" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger,  Mindscape.LightSpeed" />
		<add name="Library" connectionStringName="SQLServerLibrary" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="Log" connectionStringName="SQLServerLog" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.ConsoleLogger,  Mindscape.LightSpeed" />
		<add name="DataIntegration" connectionStringName="SQLServerDataIntegration" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="DataReporting" connectionStringName="SQLServerDataReporting" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="DataMigration" connectionStringName="SQLServerDataMigration" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="MessageBus" connectionStringName="SQLServerMessageBus" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="Report" connectionStringName="SQLServerReport" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
  </lightSpeedContexts>

	<connectionStrings>
		<clear/>
		<add name="SQLServerConfiguration" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=Configuration;Enlist=false" />
		<add name="SQLServerDataCore" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUNit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=DataCore" />
		<add name="SQLServerLibrary" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=Library;Enlist=false" />
		<add name="SQLServerLog" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=Log" />
		<add name="SQLServerDataIntegration" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=DataIntegration" />
		<add name="SQLServerDataReporting" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=DataReporting" />
		<add name="SQLServerDataMigration" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=DataMigration" />
		<add name="SQLServerMessageBus" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=MessageBus" />
    <add name="SQLServerReport" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusUnit;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=Report" />
  </connectionStrings>

	<appSettings>
		<add key="Focus-Application" value="Focus Talent - Tests"/>
		<add key="Focus-OnErrorEmail" value=""/>
		<add key="Focus-LogSeverity" value="Debug"/>

		<add key="Focus-IntegrationClientTags" value="ABC123,EFG456" />
		<add key="Focus-SessionTimeout" value="20" />	<!-- session timeout in minutes -->

		<add key="Focus-CandidateProvider" value="Focus.Integrations.Providers.dll/Focus.Integrations.Providers.Candidate.FakeCandidateProvider" />
		<add key="Focus-EmployerProvider"  value="Focus.Integrations.Providers.dll/Focus.Integrations.Providers.Employer.FakeEmployerProvider" />
		<add key="Focus-SearchProvider"  value="Focus.Integrations.Providers.Search.Lens.dll/Focus.Integrations.Providers.Search.FakeSearchProvider" />

		<add key="Focus-ClientProvider" value="Ekos" />
		
		<add key="Focus-CareerReportProvider" value="mssql" />
		<add key="Focus-TalentAssistReportProvider" value="mssql" />

		<add key="Focus-ClientProvider-SecurityUser" value="jmacbeth" />
		<add key="Focus-ClientProvider-SecurityUserPassword" value="abcd1234" />
		<add key="Focus-ClientProvider-Url" value="https://www.ekostraining.ky.gov/zdac/xml/" />
		<add key="Focus-ClientProvider-CtAggrVersion" value="179" />
		<add key="Focus-ClientProvider-Default-County" value="0" />
		<add key="Focus-ClientProvider-Default-AdminId" value="KY100092967" />
		<add key="Focus-ClientProvider-Default-OfficeId" value="KY0001" />
		
		<add key="Focus-FocusCareer-Url" value="http://careerdev.burning-glass.com/Career/" />
		<add key="Focus-SuppressedEmailLogFileLocation" value="C:\Data\Logs" />
		<add key="Focus-EmailsEnabled" value="false" />

    <!-- Focus Integration Report Services -->
    <add key="Focus-CareerReportProvider" value="MySql" />
    <add key="Focus-CareerReportProvider-CustomerName" value="OK" />
    
    <!--<add key="Focus-CareerReportProvider-EosName" value="Burning Glass Technologies" />-->
    <add key="Focus-CareerReportProvider-EosName" value="BGT" />

    <!-- Conection strings used by the reporting code -->
    <!--<add key="Focus-FocusCareer-ConnStr" value="Data Source=10.0.1.35;Initial Catalog=FocusCareerDev;user=FocusCareerAgent;password=F0cu5c4r33r" />-->
    <add key="Focus-FocusCareer-ConnStr" value="Server=10.0.1.63;Database=focuscareer02;Uid=fcusr;Pwd=;Port=3306;" />
    <add key="Focus-Focus-ConnStr" value="Data Source=BOSDBSVR001;Initial Catalog=FocusTR;User ID=FocusAgent;Password=F0cu54g3nt" />
    <add key="Focus-FocusReporting-ConnStr" value="Data Source=BOSDBSVR001;Initial Catalog=FocusReportingTR;User ID=FocusAgent;Password=F0cu54g3nt;Connect Timeout=240;" />
    <add key="Focus-JobExpiringThreshold" value="14" />

    <add key="Focus-MigrationProvider" value="careertalent" />
    <add key="Focus-MigrationBatchSize" value="100" />
    <add key="Focus-ImportBatchSize" value="100" />
    <add key="Focus-MigrationSource-ConnStr" value="Data Source=BOSDBSVR001;Initial Catalog=FocusCareerTalentTest;User ID=FocusAgent;Password=F0cu54g3nt"/>
  </appSettings>	

	<system.net>
		<mailSettings>
			<smtp from="ukdev@aperture-control.com" deliveryMethod="Network">
				<network host="206.83.64.242" port="25" userName="ukdev@aperture-control.com" password="!uk@1208#bg$" enableSsl="false"/>
			</smtp>
		</mailSettings>
	</system.net>
	
	
	<system.serviceModel>
		<behaviors>
			<endpointBehaviors>
				<behavior name="Focus.Web.WebAjax.CommonAspNetAjaxBehavior">
					<enableWebScript />
				</behavior>
			</endpointBehaviors>
		</behaviors>
		<serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true" />
		<services>
			<service name="Focus.Web.WebAjax.Common">
				<endpoint address="" behaviorConfiguration="Focus.Web.WebAjax.CommonAspNetAjaxBehavior" binding="webHttpBinding" contract="Focus.Web.WebAjax.Common" />
			</service>
		</services>

		<bindings>
   <basicHttpBinding>
    <binding name="BasicHttpBinding" closeTimeout="00:01:30" openTimeout="00:01:30"
     receiveTimeout="00:10:00" sendTimeout="00:01:30" allowCookies="false"
     bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard"
     maxBufferSize="2147483647" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647"
     messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered"
     useDefaultWebProxy="true">
     <readerQuotas maxDepth="64" maxStringContentLength="2147483647"
      maxArrayLength="2147483647" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
     <security mode="None">
      <transport clientCredentialType="None" proxyCredentialType="None"
       realm="" />
      <message clientCredentialType="UserName" algorithmSuite="Default" />
     </security>
    </binding>
   </basicHttpBinding>
  </bindings>
		<client>
   <endpoint address="http://focus-integrationsdev.burning-glass.com/EmployerService.svc"
    binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding"
    contract="Focus.Integrations.Contracts.EmployerService.IEmployerService"
    name="EmployerServiceClient" />
   <endpoint address="http://focus-integrationsdev.burning-glass.com/SearchService.svc"
    binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding"
    contract="Focus.Integrations.Contracts.SearchService.ISearchService"
    name="SearchServiceClient" />
   <endpoint address="http://focus-integrationsdev.burning-glass.com/CandidateService.svc"
    binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding"
    contract="Focus.Integrations.Contracts.CandidateService.ICandidateService"
    name="CandidatePortalServiceClient" />
   <endpoint address="http://focus-integrationsdev.burning-glass.com/TalentService.svc"
    binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding"
    contract="Focus.Integrations.Contracts.TalentService.ITalentService"
    name="TalentServiceClient" />
   <endpoint address="http://focus-integrationsdev.burning-glass.com/ReportService.svc"
    binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding"
    contract="Focus.Integrations.Contracts.ReportService.IReportService"
    name="ReportServiceClient" />
  </client>
	</system.serviceModel>
</configuration>